net.i2p.router.transport.udp

## Enum OutboundEstablishState2.IntroState

- java.lang.Object
- - java.lang.Enum<OutboundEstablishState2.IntroState>
  - - net.i2p.router.transport.udp.OutboundEstablishState2.IntroState

- All Implemented Interfaces:
    Serializable, Comparable<OutboundEstablishState2.IntroState>
  Enclosing class:
    OutboundEstablishState2

      public static enum OutboundEstablishState2.IntroState
      extends Enum<OutboundEstablishState2.IntroState>

  Per-introducer introduction states

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `INTRO_STATE_BOB_REJECT` we got a rejection from this introducer
    `INTRO_STATE_CHARLIE_REJECT` we got a rejection from Charlie via this introducer
    `INTRO_STATE_CONNECT_FAILED` we failed to connect to the introducer
    `INTRO_STATE_CONNECTED` we are connected to this introducer
    `INTRO_STATE_CONNECTING` we are connecting to the introducer
    `INTRO_STATE_DISCONNECTED` he disconnected from us along the way
    `INTRO_STATE_EXPIRED` introducer has expired
    `INTRO_STATE_FAILED` unspecified failure
    `INTRO_STATE_HAS_RI` we have the introducer RI
    `INTRO_STATE_INIT` nothing happened yet
    `INTRO_STATE_INVALID` this peer is not an introducer
    `INTRO_STATE_LOOKUP_FAILED` we tried to lookup the introducer RI, no luck
    `INTRO_STATE_LOOKUP_SENT` lookup for the introducer RI was sent
    `INTRO_STATE_REJECTED` we rejected this introducer for some reason
    `INTRO_STATE_RELAY_CHARLIE_ACCEPTED` we got a good relay response via this introducer
    `INTRO_STATE_RELAY_REQUEST_SENT` we sent the relay request to this introducer
    `INTRO_STATE_RELAY_RESPONSE_TIMEOUT` we failed to get a relay response from this introducer
    `INTRO_STATE_SUCCESS` we got an accept from Charlie via this introducer
    `INTRO_STATE_US` this peer is us

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static OutboundEstablishState2.IntroState` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static OutboundEstablishState2.IntroState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INTRO_STATE_BOB_REJECT

          public static final OutboundEstablishState2.IntroState INTRO_STATE_BOB_REJECT

      we got a rejection from this introducer

    - #### INTRO_STATE_CHARLIE_REJECT

          public static final OutboundEstablishState2.IntroState INTRO_STATE_CHARLIE_REJECT

      we got a rejection from Charlie via this introducer

    - #### INTRO_STATE_CONNECT_FAILED

          public static final OutboundEstablishState2.IntroState INTRO_STATE_CONNECT_FAILED

      we failed to connect to the introducer

    - #### INTRO_STATE_CONNECTED

          public static final OutboundEstablishState2.IntroState INTRO_STATE_CONNECTED

      we are connected to this introducer

    - #### INTRO_STATE_CONNECTING

          public static final OutboundEstablishState2.IntroState INTRO_STATE_CONNECTING

      we are connecting to the introducer

    - #### INTRO_STATE_DISCONNECTED

          public static final OutboundEstablishState2.IntroState INTRO_STATE_DISCONNECTED

      he disconnected from us along the way

    - #### INTRO_STATE_EXPIRED

          public static final OutboundEstablishState2.IntroState INTRO_STATE_EXPIRED

      introducer has expired

    - #### INTRO_STATE_FAILED

          public static final OutboundEstablishState2.IntroState INTRO_STATE_FAILED

      unspecified failure

    - #### INTRO_STATE_HAS_RI

          public static final OutboundEstablishState2.IntroState INTRO_STATE_HAS_RI

      we have the introducer RI

    - #### INTRO_STATE_INIT

          public static final OutboundEstablishState2.IntroState INTRO_STATE_INIT

      nothing happened yet

    - #### INTRO_STATE_INVALID

          public static final OutboundEstablishState2.IntroState INTRO_STATE_INVALID

      this peer is not an introducer

    - #### INTRO_STATE_LOOKUP_FAILED

          public static final OutboundEstablishState2.IntroState INTRO_STATE_LOOKUP_FAILED

      we tried to lookup the introducer RI, no luck

    - #### INTRO_STATE_LOOKUP_SENT

          public static final OutboundEstablishState2.IntroState INTRO_STATE_LOOKUP_SENT

      lookup for the introducer RI was sent

    - #### INTRO_STATE_REJECTED

          public static final OutboundEstablishState2.IntroState INTRO_STATE_REJECTED

      we rejected this introducer for some reason

    - #### INTRO_STATE_RELAY_CHARLIE_ACCEPTED

          public static final OutboundEstablishState2.IntroState INTRO_STATE_RELAY_CHARLIE_ACCEPTED

      we got a good relay response via this introducer

    - #### INTRO_STATE_RELAY_REQUEST_SENT

          public static final OutboundEstablishState2.IntroState INTRO_STATE_RELAY_REQUEST_SENT

      we sent the relay request to this introducer

    - #### INTRO_STATE_RELAY_RESPONSE_TIMEOUT

          public static final OutboundEstablishState2.IntroState INTRO_STATE_RELAY_RESPONSE_TIMEOUT

      we failed to get a relay response from this introducer

    - #### INTRO_STATE_SUCCESS

          public static final OutboundEstablishState2.IntroState INTRO_STATE_SUCCESS

      we got an accept from Charlie via this introducer

    - #### INTRO_STATE_US

          public static final OutboundEstablishState2.IntroState INTRO_STATE_US

      this peer is us

  - ### Method Detail

    - #### valueOf

          public static OutboundEstablishState2.IntroState valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### values

          public static OutboundEstablishState2.IntroState[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (OutboundEstablishState2.IntroState c : OutboundEstablishState2.IntroState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared